Loading...
Searching...
No Matches
ns_signal_data Struct Reference

`#include <gprs_ns.h>`

## Data Fields

struct gprs_nsvc * | nsvc
struct gprs_nsvc * | old_nsvc
uint8_t | cause
uint8_t | pdu_type
uint8_t | ie_type
struct msgb * | msg

## Field Documentation

## cause

uint8_t ns_signal_data::cause

Referenced by ns_osmo_signal_dispatch().

## ie_type

uint8_t ns_signal_data::ie_type

Referenced by ns_osmo_signal_dispatch_mismatch().

## msg

struct msgb* ns_signal_data::msg

Referenced by ns_osmo_signal_dispatch_mismatch().

## nsvc

struct gprs_nsvc* ns_signal_data::nsvc

Referenced by ns_osmo_signal_dispatch(), ns_osmo_signal_dispatch_mismatch(), and ns_osmo_signal_dispatch_replaced().

## old_nsvc

struct gprs_nsvc* ns_signal_data::old_nsvc

Referenced by ns_osmo_signal_dispatch_replaced().

## pdu_type

uint8_t ns_signal_data::pdu_type

Referenced by ns_osmo_signal_dispatch_mismatch().

The documentation for this struct was generated from the following file:

- include/osmocom/gprs/gprs_ns.h